nroot.hpp File Reference
`#include <gecode/int/rel.hh>`
`#include <climits>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Arithmetic::RangesMapPow< Ops >
| Mapping ranges to powers. More...
class | Gecode::Int::Arithmetic::RangesMapNroot< Ops >
| Mapping integer to n-th root. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Arithmetic
| Numerical (arithmetic) propagators.

## Functions

template<class Ops, bool minus>
ExecStatus | Gecode::Int::Arithmetic::prop_nroot_plus_bnd (Space &home, IntView x0, IntView x1, const Ops &ops)
template<class Ops>
ExecStatus | Gecode::Int::Arithmetic::prop_nroot_bnd (Space &home, IntView x0, IntView x1, const Ops &ops)